/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 * CSeguimientoContratacionPortalAttributes
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2021-11-25T08:46:21.631Z")
public class CSeguimientoContratacionPortalAttributes {
  @SerializedName("cf_seguimiento_contratacion_portalid")
  private String cf_seguimiento_contratacion_portalid = null;

  @SerializedName("createdon")
  private String createdon = null;

  @SerializedName("cf_nuevo_password")
  private String cf_nuevo_password = null;

  @SerializedName("cf_password_hash")
  private String cf_password_hash = null;

  @SerializedName("cf_login")
  private String cf_login = null;

  @SerializedName("cf_prospecto")
  private String cf_prospecto = null;

  @SerializedName("cf_oportunidad")
  private String cf_oportunidad = null;

  @SerializedName("cf_cliente")
  private String cf_cliente = null;



  @SerializedName("cf_comprobante_pago")
  private Boolean cf_comprobante_pago = null;
  
  @SerializedName("cf_firma_electronica_fecha")
  private String cf_firma_electronica_fecha = null;

  @SerializedName("cf_firma_electronica_solicitud")
  private Boolean cf_firma_electronica_solicitud = null;

  @SerializedName("cf_firma_electronica_estatus")
  private String cf_firma_electronica_estatus = null;

  @SerializedName("cf_firma_electronica_documentoid")
  private String cf_firma_electronica_documentoid = null;

  @SerializedName("cf_entrevista_aprobada")
  private Boolean cf_entrevista_aprobada = null;

  @SerializedName("cf_cambiar_password")
  private Boolean cf_cambiar_password = null;

  @SerializedName("cf_fraude_contact")
  private Boolean cf_fraude_contact = null;

  @SerializedName("cf_fraude_lead")
  private Boolean cf_fraude_lead = null;

  @SerializedName("cf_fraude_entrevista")
  private Boolean cf_fraude_entrevista = null;

  @SerializedName("cf_notificar_fraude")
  private Boolean cf_notificar_fraude = null;

  @SerializedName("cf_fraude_account")
  private Boolean cf_fraude_account = null;

  @SerializedName("cf_acceso_portal")
  private Boolean cf_acceso_portal = null;

  @SerializedName("cf_notificar_bienvenida")
  private Boolean cf_notificar_bienvenida = null;

  @SerializedName("cf_fraude")
  private Boolean cf_fraude = null;

  @SerializedName("cf_fraude_accion_fecha")
  private String cf_fraude_accion_fecha = null;

  @SerializedName("cf_fraude_contact_fecha")
  private String cf_fraude_contact_fecha = null;

  @SerializedName("cf_oportunidad_fecha")
  private String cf_oportunidad_fecha = null;

  @SerializedName("cf_notificar_fraude_fecha")
  private String cf_notificar_fraude_fecha = null;

  @SerializedName("cf_entrevista_aprobada_fecha")
  private String cf_entrevista_aprobada_fecha = null;

  @SerializedName("cf_fraude_account_fecha")
  private String cf_fraude_account_fecha = null;

  @SerializedName("cf_notificar_bienvenida_fecha")
  private String cf_notificar_bienvenida_fecha = null;

  @SerializedName("cf_entrevista_fecha")
  private String cf_entrevista_fecha = null;

  @SerializedName("cf_fraude_fecha")
  private String cf_fraude_fecha = null;

  @SerializedName("cf_fraude_entrevista_fecha")
  private String cf_fraude_entrevista_fecha = null;

  @SerializedName("cf_fraude_lead_fecha")
  private String cf_fraude_lead_fecha = null;

  @SerializedName("cf_clasificacion_prospecto_fecha")
  private String cf_clasificacion_prospecto_fecha = null;

  @SerializedName("cf_visita_ocular_respuesta_1")
  private String cf_visita_ocular_respuesta_1 = null;

  @SerializedName("cf_visita_ocular_respuesta_2")
  private String cf_visita_ocular_respuesta_2 = null;

  @SerializedName("cf_entrevista")
  private String cf_entrevista = null;

  @SerializedName("cf_clasificacion_prospecto")
  private String cf_clasificacion_prospecto = null;

  @SerializedName("cf_fraude_accion")
  private String cf_fraude_accion = null;

  @SerializedName("cf_portal_etapa")
  private String cf_portal_etapa = null;

  @SerializedName("cf_portal_estatus")
  private String cf_portal_estatus = null;

  @SerializedName("cf_mcc_doc_recibidos")
  private String cf_mcc_doc_recibidos = null;

  @SerializedName("cf_tarea_vta_revision_rco")
  private String cf_tarea_vta_revision_rco = null;

  @SerializedName("cf_tarea_leg_revision_juicios")
  private String cf_tarea_leg_revision_juicios = null;

  @SerializedName("modifiedon")
  private String modifiedon = null;

  @SerializedName("cf_name")
  private String cf_name = null;

  @SerializedName("statuscode")
  private String statuscode = null;

  @SerializedName("statecode")
  private String statecode = null;

  @SerializedName("_attachments")
  private List<AttachmentData> attachments = null;

  @SerializedName("_checklist_documentos")
  private List<CArchivoCheckList> _checklist_documentos = null;

  @SerializedName("cf_prospectoname")
  private String cf_prospectoname = null;

  @SerializedName("cf_oportunidadname")
  private String cf_oportunidadname = null;

  @SerializedName("cf_clientename")
  private String cf_clientename = null;

  @SerializedName("statuscodename")
  private String statuscodename = null;

  @SerializedName("statecodename")
  private String statecodename = null;

  @SerializedName("cf_entrevistaname")
  private String cf_entrevistaname = null;

  @SerializedName("cf_clasificacion_prospectoname")
  private String cf_clasificacion_prospectoname = null;

  @SerializedName("cf_fraude_accionname")
  private String cf_fraude_accionname = null;

  @SerializedName("cf_portal_etapaname")
  private String cf_portal_etapaname = null;

  @SerializedName("cf_portal_estatusname")
  private String cf_portal_estatusname = null;

  @SerializedName("_cf_prospecto_lead_emailaddress1")
  private String _cf_prospecto_lead_emailaddress1 = null;

  @SerializedName("_cf_cliente_account_name")
  private String _cf_cliente_account_name = null;

  @SerializedName("_cf_cliente_account_portal_iddelacuenta")
  private String _cf_cliente_account_portal_iddelacuenta = null;

  @SerializedName("_cf_cliente_account_emailaddress1")
  private String _cf_cliente_account_emailaddress1 = null;

  @SerializedName("_cf_cliente_account_cf_rfc")
  private String _cf_cliente_account_cf_rfc = null;

  @SerializedName("_cf_cliente_account_telephone1")
  private String _cf_cliente_account_telephone1 = null;

  @SerializedName("_cf_cliente_account_cf_nombrecomercial")
  private String _cf_cliente_account_cf_nombrecomercial = null;

  @SerializedName("_cf_cliente_account_address1_line1")
  private String _cf_cliente_account_address1_line1 = null;

  @SerializedName("_cf_cliente_account_address1_line2")
  private String _cf_cliente_account_address1_line2 = null;

  @SerializedName("_cf_cliente_account_address1_line3")
  private String _cf_cliente_account_address1_line3 = null;

  @SerializedName("_cf_cliente_account_cf_address1_estado")
  private String _cf_cliente_account_cf_address1_estado = null;

  @SerializedName("_cf_cliente_account_address1_city")
  private String _cf_cliente_account_address1_city = null;

  @SerializedName("_cf_cliente_account_address1_postalcode")
  private String _cf_cliente_account_address1_postalcode = null;

  @SerializedName("_cf_cliente_account_cf_pfreferenciadeposito")
  private String _cf_cliente_account_cf_pfreferenciadeposito = null;

  @SerializedName("_cf_cliente_account_cf_pmreferenciadeposito")
  private String _cf_cliente_account_cf_pmreferenciadeposito = null;

  @SerializedName("_cf_cliente_account_cf_cfsprefix")
  private String _cf_cliente_account_cf_cfsprefix = null;

  @SerializedName("_cf_cliente_account_cf_cfsprefixpm")
  private String _cf_cliente_account_cf_cfsprefixpm = null;

  @SerializedName("_cf_oportunidad_opportunity_cf_cfbtiposolicituddybname")
  private String _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname = null;

  @SerializedName("_cf_oportunidad_opportunity_cf_btiposolicitudtumname")
  private String _cf_oportunidad_opportunity_cf_btiposolicitudtumname = null;

  @SerializedName("_cf_oportunidad_opportunity_cf_imorteprepagodun")
  private String _cf_oportunidad_opportunity_cf_imorteprepagodun = null;

  @SerializedName("_cf_oportunidad_opportunity_cf_imorteprepagotum")
  private String _cf_oportunidad_opportunity_cf_imorteprepagotum = null;

  @SerializedName("Id")
  private String id = null;

  @SerializedName("result")
  private Boolean result = null;

  @SerializedName("message")
  private String message = null;

  public CSeguimientoContratacionPortalAttributes cf_seguimiento_contratacion_portalid(String cf_seguimiento_contratacion_portalid) {
    this.cf_seguimiento_contratacion_portalid = cf_seguimiento_contratacion_portalid;
    return this;
  }

   /**
   * Get cf_seguimiento_contratacion_portalid
   * @return cf_seguimiento_contratacion_portalid
  **/
  @ApiModelProperty(value = "")
  public String getcf_seguimiento_contratacion_portalid() {
    return cf_seguimiento_contratacion_portalid;
  }

  public void setcf_seguimiento_contratacion_portalid(String cf_seguimiento_contratacion_portalid) {
    this.cf_seguimiento_contratacion_portalid = cf_seguimiento_contratacion_portalid;
  }

  public CSeguimientoContratacionPortalAttributes createdon(String createdon) {
    this.createdon = createdon;
    return this;
  }

   /**
   * Get createdon
   * @return createdon
  **/
  @ApiModelProperty(value = "")
  public String getCreatedon() {
    return createdon;
  }

  public void setCreatedon(String createdon) {
    this.createdon = createdon;
  }

  public CSeguimientoContratacionPortalAttributes cf_nuevo_password(String cf_nuevo_password) {
    this.cf_nuevo_password = cf_nuevo_password;
    return this;
  }

   /**
   * Get cf_nuevo_password
   * @return cf_nuevo_password
  **/
  @ApiModelProperty(value = "")
  public String getcf_nuevo_password() {
    return cf_nuevo_password;
  }

  public void setcf_nuevo_password(String cf_nuevo_password) {
    this.cf_nuevo_password = cf_nuevo_password;
  }

  public CSeguimientoContratacionPortalAttributes cf_password_hash(String cf_password_hash) {
    this.cf_password_hash = cf_password_hash;
    return this;
  }

   /**
   * Get cf_password_hash
   * @return cf_password_hash
  **/
  @ApiModelProperty(value = "")
  public String getcf_password_hash() {
    return cf_password_hash;
  }

  public void setcf_password_hash(String cf_password_hash) {
    this.cf_password_hash = cf_password_hash;
  }

  public CSeguimientoContratacionPortalAttributes cf_login(String cf_login) {
    this.cf_login = cf_login;
    return this;
  }

   /**
   * Get cf_login
   * @return cf_login
  **/
  @ApiModelProperty(value = "")
  public String getcf_login() {
    return cf_login;
  }

  public void setcf_login(String cf_login) {
    this.cf_login = cf_login;
  }

  public CSeguimientoContratacionPortalAttributes cf_prospecto(String cf_prospecto) {
    this.cf_prospecto = cf_prospecto;
    return this;
  }

   /**
   * Get cf_prospecto
   * @return cf_prospecto
  **/
  @ApiModelProperty(value = "")
  public String getcf_prospecto() {
    return cf_prospecto;
  }

  public void setcf_prospecto(String cf_prospecto) {
    this.cf_prospecto = cf_prospecto;
  }

  public CSeguimientoContratacionPortalAttributes cf_oportunidad(String cf_oportunidad) {
    this.cf_oportunidad = cf_oportunidad;
    return this;
  }

   /**
   * Get cf_oportunidad
   * @return cf_oportunidad
  **/
  @ApiModelProperty(value = "")
  public String getcf_oportunidad() {
    return cf_oportunidad;
  }

  public void setcf_oportunidad(String cf_oportunidad) {
    this.cf_oportunidad = cf_oportunidad;
  }

  public CSeguimientoContratacionPortalAttributes cf_cliente(String cf_cliente) {
    this.cf_cliente = cf_cliente;
    return this;
  }

   /**
   * Get cf_cliente
   * @return cf_cliente
  **/
  @ApiModelProperty(value = "")
  public String getcf_cliente() {
    return cf_cliente;
  }

  public void setcf_cliente(String cf_cliente) {
    this.cf_cliente = cf_cliente;
  }

  public CSeguimientoContratacionPortalAttributes cf_firma_electronica_fecha(String cf_firma_electronica_fecha) {
    this.cf_firma_electronica_fecha = cf_firma_electronica_fecha;
    return this;
  }

   /**
   * Get cf_firma_electronica_fecha
   * @return cf_firma_electronica_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_firma_electronica_fecha() {
    return cf_firma_electronica_fecha;
  }

  public void setcf_firma_electronica_fecha(String cf_firma_electronica_fecha) {
    this.cf_firma_electronica_fecha = cf_firma_electronica_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_firma_electronica_solicitud(Boolean cf_firma_electronica_solicitud) {
    this.cf_firma_electronica_solicitud = cf_firma_electronica_solicitud;
    return this;
  }

   /**
   * Get cf_firma_electronica_solicitud
   * @return cf_firma_electronica_solicitud
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_firma_electronica_solicitud() {
    return cf_firma_electronica_solicitud;
  }

  public void setcf_firma_electronica_solicitud(Boolean cf_firma_electronica_solicitud) {
    this.cf_firma_electronica_solicitud = cf_firma_electronica_solicitud;
  }





public CSeguimientoContratacionPortalAttributes cf_comprobante_pago(Boolean cf_comprobante_pago) {
    this.cf_comprobante_pago = cf_comprobante_pago;
    return this;
  }

   /**
   * Get cf_comprobante_pago
   * @return cf_comprobante_pago
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_comprobante_pago() {
    return cf_comprobante_pago;
  }

  public void setcf_comprobante_pago(Boolean cf_comprobante_pago) {
    this.cf_comprobante_pago = cf_comprobante_pago;
  }



  public CSeguimientoContratacionPortalAttributes cf_firma_electronica_estatus(String cf_firma_electronica_estatus) {
    this.cf_firma_electronica_estatus = cf_firma_electronica_estatus;
    return this;
  }

   /**
   * Get cf_firma_electronica_estatus
   * @return cf_firma_electronica_estatus
  **/
  @ApiModelProperty(value = "")
  public String getcf_firma_electronica_estatus() {
    return cf_firma_electronica_estatus;
  }

  public void setcf_firma_electronica_estatus(String cf_firma_electronica_estatus) {
    this.cf_firma_electronica_estatus = cf_firma_electronica_estatus;
  }

  public CSeguimientoContratacionPortalAttributes cf_firma_electronica_documentoid(String cf_firma_electronica_documentoid) {
    this.cf_firma_electronica_documentoid = cf_firma_electronica_documentoid;
    return this;
  }

   /**
   * Get cf_firma_electronica_documentoid
   * @return cf_firma_electronica_documentoid
  **/
  @ApiModelProperty(value = "")
  public String getcf_firma_electronica_documentoid() {
    return cf_firma_electronica_documentoid;
  }

  public void setcf_firma_electronica_documentoid(String cf_firma_electronica_documentoid) {
    this.cf_firma_electronica_documentoid = cf_firma_electronica_documentoid;
  }

  public CSeguimientoContratacionPortalAttributes cf_entrevista_aprobada(Boolean cf_entrevista_aprobada) {
    this.cf_entrevista_aprobada = cf_entrevista_aprobada;
    return this;
  }

   /**
   * Get cf_entrevista_aprobada
   * @return cf_entrevista_aprobada
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_entrevista_aprobada() {
    return cf_entrevista_aprobada;
  }

  public void setcf_entrevista_aprobada(Boolean cf_entrevista_aprobada) {
    this.cf_entrevista_aprobada = cf_entrevista_aprobada;
  }

  public CSeguimientoContratacionPortalAttributes cf_cambiar_password(Boolean cf_cambiar_password) {
    this.cf_cambiar_password = cf_cambiar_password;
    return this;
  }

   /**
   * Get cf_cambiar_password
   * @return cf_cambiar_password
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_cambiar_password() {
    return cf_cambiar_password;
  }

  public void setcf_cambiar_password(Boolean cf_cambiar_password) {
    this.cf_cambiar_password = cf_cambiar_password;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_contact(Boolean cf_fraude_contact) {
    this.cf_fraude_contact = cf_fraude_contact;
    return this;
  }

   /**
   * Get cf_fraude_contact
   * @return cf_fraude_contact
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_fraude_contact() {
    return cf_fraude_contact;
  }

  public void setcf_fraude_contact(Boolean cf_fraude_contact) {
    this.cf_fraude_contact = cf_fraude_contact;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_lead(Boolean cf_fraude_lead) {
    this.cf_fraude_lead = cf_fraude_lead;
    return this;
  }

   /**
   * Get cf_fraude_lead
   * @return cf_fraude_lead
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_fraude_lead() {
    return cf_fraude_lead;
  }

  public void setcf_fraude_lead(Boolean cf_fraude_lead) {
    this.cf_fraude_lead = cf_fraude_lead;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_entrevista(Boolean cf_fraude_entrevista) {
    this.cf_fraude_entrevista = cf_fraude_entrevista;
    return this;
  }

   /**
   * Get cf_fraude_entrevista
   * @return cf_fraude_entrevista
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_fraude_entrevista() {
    return cf_fraude_entrevista;
  }

  public void setcf_fraude_entrevista(Boolean cf_fraude_entrevista) {
    this.cf_fraude_entrevista = cf_fraude_entrevista;
  }

  public CSeguimientoContratacionPortalAttributes cf_notificar_fraude(Boolean cf_notificar_fraude) {
    this.cf_notificar_fraude = cf_notificar_fraude;
    return this;
  }

   /**
   * Get cf_notificar_fraude
   * @return cf_notificar_fraude
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_notificar_fraude() {
    return cf_notificar_fraude;
  }

  public void setcf_notificar_fraude(Boolean cf_notificar_fraude) {
    this.cf_notificar_fraude = cf_notificar_fraude;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_account(Boolean cf_fraude_account) {
    this.cf_fraude_account = cf_fraude_account;
    return this;
  }

   /**
   * Get cf_fraude_account
   * @return cf_fraude_account
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_fraude_account() {
    return cf_fraude_account;
  }

  public void setcf_fraude_account(Boolean cf_fraude_account) {
    this.cf_fraude_account = cf_fraude_account;
  }

  public CSeguimientoContratacionPortalAttributes cf_acceso_portal(Boolean cf_acceso_portal) {
    this.cf_acceso_portal = cf_acceso_portal;
    return this;
  }

   /**
   * Get cf_acceso_portal
   * @return cf_acceso_portal
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_acceso_portal() {
    return cf_acceso_portal;
  }

  public void setcf_acceso_portal(Boolean cf_acceso_portal) {
    this.cf_acceso_portal = cf_acceso_portal;
  }

  public CSeguimientoContratacionPortalAttributes cf_notificar_bienvenida(Boolean cf_notificar_bienvenida) {
    this.cf_notificar_bienvenida = cf_notificar_bienvenida;
    return this;
  }

   /**
   * Get cf_notificar_bienvenida
   * @return cf_notificar_bienvenida
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_notificar_bienvenida() {
    return cf_notificar_bienvenida;
  }

  public void setcf_notificar_bienvenida(Boolean cf_notificar_bienvenida) {
    this.cf_notificar_bienvenida = cf_notificar_bienvenida;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude(Boolean cf_fraude) {
    this.cf_fraude = cf_fraude;
    return this;
  }

   /**
   * Get cf_fraude
   * @return cf_fraude
  **/
  @ApiModelProperty(value = "")
  public Boolean iscf_fraude() {
    return cf_fraude;
  }

  public void setcf_fraude(Boolean cf_fraude) {
    this.cf_fraude = cf_fraude;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_accion_fecha(String cf_fraude_accion_fecha) {
    this.cf_fraude_accion_fecha = cf_fraude_accion_fecha;
    return this;
  }

   /**
   * Get cf_fraude_accion_fecha
   * @return cf_fraude_accion_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_accion_fecha() {
    return cf_fraude_accion_fecha;
  }

  public void setcf_fraude_accion_fecha(String cf_fraude_accion_fecha) {
    this.cf_fraude_accion_fecha = cf_fraude_accion_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_contact_fecha(String cf_fraude_contact_fecha) {
    this.cf_fraude_contact_fecha = cf_fraude_contact_fecha;
    return this;
  }

   /**
   * Get cf_fraude_contact_fecha
   * @return cf_fraude_contact_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_contact_fecha() {
    return cf_fraude_contact_fecha;
  }

  public void setcf_fraude_contact_fecha(String cf_fraude_contact_fecha) {
    this.cf_fraude_contact_fecha = cf_fraude_contact_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_oportunidad_fecha(String cf_oportunidad_fecha) {
    this.cf_oportunidad_fecha = cf_oportunidad_fecha;
    return this;
  }

   /**
   * Get cf_oportunidad_fecha
   * @return cf_oportunidad_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_oportunidad_fecha() {
    return cf_oportunidad_fecha;
  }

  public void setcf_oportunidad_fecha(String cf_oportunidad_fecha) {
    this.cf_oportunidad_fecha = cf_oportunidad_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_notificar_fraude_fecha(String cf_notificar_fraude_fecha) {
    this.cf_notificar_fraude_fecha = cf_notificar_fraude_fecha;
    return this;
  }

   /**
   * Get cf_notificar_fraude_fecha
   * @return cf_notificar_fraude_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_notificar_fraude_fecha() {
    return cf_notificar_fraude_fecha;
  }

  public void setcf_notificar_fraude_fecha(String cf_notificar_fraude_fecha) {
    this.cf_notificar_fraude_fecha = cf_notificar_fraude_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_entrevista_aprobada_fecha(String cf_entrevista_aprobada_fecha) {
    this.cf_entrevista_aprobada_fecha = cf_entrevista_aprobada_fecha;
    return this;
  }

   /**
   * Get cf_entrevista_aprobada_fecha
   * @return cf_entrevista_aprobada_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_entrevista_aprobada_fecha() {
    return cf_entrevista_aprobada_fecha;
  }

  public void setcf_entrevista_aprobada_fecha(String cf_entrevista_aprobada_fecha) {
    this.cf_entrevista_aprobada_fecha = cf_entrevista_aprobada_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_account_fecha(String cf_fraude_account_fecha) {
    this.cf_fraude_account_fecha = cf_fraude_account_fecha;
    return this;
  }

   /**
   * Get cf_fraude_account_fecha
   * @return cf_fraude_account_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_account_fecha() {
    return cf_fraude_account_fecha;
  }

  public void setcf_fraude_account_fecha(String cf_fraude_account_fecha) {
    this.cf_fraude_account_fecha = cf_fraude_account_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_notificar_bienvenida_fecha(String cf_notificar_bienvenida_fecha) {
    this.cf_notificar_bienvenida_fecha = cf_notificar_bienvenida_fecha;
    return this;
  }

   /**
   * Get cf_notificar_bienvenida_fecha
   * @return cf_notificar_bienvenida_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_notificar_bienvenida_fecha() {
    return cf_notificar_bienvenida_fecha;
  }

  public void setcf_notificar_bienvenida_fecha(String cf_notificar_bienvenida_fecha) {
    this.cf_notificar_bienvenida_fecha = cf_notificar_bienvenida_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_entrevista_fecha(String cf_entrevista_fecha) {
    this.cf_entrevista_fecha = cf_entrevista_fecha;
    return this;
  }

   /**
   * Get cf_entrevista_fecha
   * @return cf_entrevista_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_entrevista_fecha() {
    return cf_entrevista_fecha;
  }

  public void setcf_entrevista_fecha(String cf_entrevista_fecha) {
    this.cf_entrevista_fecha = cf_entrevista_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_fecha(String cf_fraude_fecha) {
    this.cf_fraude_fecha = cf_fraude_fecha;
    return this;
  }

   /**
   * Get cf_fraude_fecha
   * @return cf_fraude_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_fecha() {
    return cf_fraude_fecha;
  }

  public void setcf_fraude_fecha(String cf_fraude_fecha) {
    this.cf_fraude_fecha = cf_fraude_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_entrevista_fecha(String cf_fraude_entrevista_fecha) {
    this.cf_fraude_entrevista_fecha = cf_fraude_entrevista_fecha;
    return this;
  }

   /**
   * Get cf_fraude_entrevista_fecha
   * @return cf_fraude_entrevista_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_entrevista_fecha() {
    return cf_fraude_entrevista_fecha;
  }

  public void setcf_fraude_entrevista_fecha(String cf_fraude_entrevista_fecha) {
    this.cf_fraude_entrevista_fecha = cf_fraude_entrevista_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_lead_fecha(String cf_fraude_lead_fecha) {
    this.cf_fraude_lead_fecha = cf_fraude_lead_fecha;
    return this;
  }

   /**
   * Get cf_fraude_lead_fecha
   * @return cf_fraude_lead_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_lead_fecha() {
    return cf_fraude_lead_fecha;
  }

  public void setcf_fraude_lead_fecha(String cf_fraude_lead_fecha) {
    this.cf_fraude_lead_fecha = cf_fraude_lead_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_clasificacion_prospecto_fecha(String cf_clasificacion_prospecto_fecha) {
    this.cf_clasificacion_prospecto_fecha = cf_clasificacion_prospecto_fecha;
    return this;
  }

   /**
   * Get cf_clasificacion_prospecto_fecha
   * @return cf_clasificacion_prospecto_fecha
  **/
  @ApiModelProperty(value = "")
  public String getcf_clasificacion_prospecto_fecha() {
    return cf_clasificacion_prospecto_fecha;
  }

  public void setcf_clasificacion_prospecto_fecha(String cf_clasificacion_prospecto_fecha) {
    this.cf_clasificacion_prospecto_fecha = cf_clasificacion_prospecto_fecha;
  }

  public CSeguimientoContratacionPortalAttributes cf_visita_ocular_respuesta_1(String cf_visita_ocular_respuesta_1) {
    this.cf_visita_ocular_respuesta_1 = cf_visita_ocular_respuesta_1;
    return this;
  }

   /**
   * Get cf_visita_ocular_respuesta_1
   * @return cf_visita_ocular_respuesta_1
  **/
  @ApiModelProperty(value = "")
  public String getcf_visita_ocular_respuesta_1() {
    return cf_visita_ocular_respuesta_1;
  }

  public void setcf_visita_ocular_respuesta_1(String cf_visita_ocular_respuesta_1) {
    this.cf_visita_ocular_respuesta_1 = cf_visita_ocular_respuesta_1;
  }

  public CSeguimientoContratacionPortalAttributes cf_visita_ocular_respuesta_2(String cf_visita_ocular_respuesta_2) {
    this.cf_visita_ocular_respuesta_2 = cf_visita_ocular_respuesta_2;
    return this;
  }

   /**
   * Get cf_visita_ocular_respuesta_2
   * @return cf_visita_ocular_respuesta_2
  **/
  @ApiModelProperty(value = "")
  public String getcf_visita_ocular_respuesta_2() {
    return cf_visita_ocular_respuesta_2;
  }

  public void setcf_visita_ocular_respuesta_2(String cf_visita_ocular_respuesta_2) {
    this.cf_visita_ocular_respuesta_2 = cf_visita_ocular_respuesta_2;
  }

  public CSeguimientoContratacionPortalAttributes cf_entrevista(String cf_entrevista) {
    this.cf_entrevista = cf_entrevista;
    return this;
  }

   /**
   * Get cf_entrevista
   * @return cf_entrevista
  **/
  @ApiModelProperty(value = "")
  public String getcf_entrevista() {
    return cf_entrevista;
  }

  public void setcf_entrevista(String cf_entrevista) {
    this.cf_entrevista = cf_entrevista;
  }

  public CSeguimientoContratacionPortalAttributes cf_clasificacion_prospecto(String cf_clasificacion_prospecto) {
    this.cf_clasificacion_prospecto = cf_clasificacion_prospecto;
    return this;
  }

   /**
   * Get cf_clasificacion_prospecto
   * @return cf_clasificacion_prospecto
  **/
  @ApiModelProperty(value = "")
  public String getcf_clasificacion_prospecto() {
    return cf_clasificacion_prospecto;
  }

  public void setcf_clasificacion_prospecto(String cf_clasificacion_prospecto) {
    this.cf_clasificacion_prospecto = cf_clasificacion_prospecto;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_accion(String cf_fraude_accion) {
    this.cf_fraude_accion = cf_fraude_accion;
    return this;
  }

   /**
   * Get cf_fraude_accion
   * @return cf_fraude_accion
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_accion() {
    return cf_fraude_accion;
  }

  public void setcf_fraude_accion(String cf_fraude_accion) {
    this.cf_fraude_accion = cf_fraude_accion;
  }

  public CSeguimientoContratacionPortalAttributes cf_portal_etapa(String cf_portal_etapa) {
    this.cf_portal_etapa = cf_portal_etapa;
    return this;
  }

   /**
   * Get cf_portal_etapa
   * @return cf_portal_etapa
  **/
  @ApiModelProperty(value = "")
  public String getcf_portal_etapa() {
    return cf_portal_etapa;
  }

  public void setcf_portal_etapa(String cf_portal_etapa) {
    this.cf_portal_etapa = cf_portal_etapa;
  }

  public CSeguimientoContratacionPortalAttributes cf_portal_estatus(String cf_portal_estatus) {
    this.cf_portal_estatus = cf_portal_estatus;
    return this;
  }

   /**
   * Get cf_portal_estatus
   * @return cf_portal_estatus
  **/
  @ApiModelProperty(value = "")
  public String getcf_portal_estatus() {
    return cf_portal_estatus;
  }

  public void setcf_portal_estatus(String cf_portal_estatus) {
    this.cf_portal_estatus = cf_portal_estatus;
  }

  public CSeguimientoContratacionPortalAttributes cf_mcc_doc_recibidos(String cf_mcc_doc_recibidos) {
    this.cf_mcc_doc_recibidos = cf_mcc_doc_recibidos;
    return this;
  }

   /**
   * Get cf_mcc_doc_recibidos
   * @return cf_mcc_doc_recibidos
  **/
  @ApiModelProperty(value = "")
  public String getcf_mcc_doc_recibidos() {
    return cf_mcc_doc_recibidos;
  }

  public void setcf_mcc_doc_recibidos(String cf_mcc_doc_recibidos) {
    this.cf_mcc_doc_recibidos = cf_mcc_doc_recibidos;
  }

  public CSeguimientoContratacionPortalAttributes cf_tarea_vta_revision_rco(String cf_tarea_vta_revision_rco) {
    this.cf_tarea_vta_revision_rco = cf_tarea_vta_revision_rco;
    return this;
  }

   /**
   * Get cf_tarea_vta_revision_rco
   * @return cf_tarea_vta_revision_rco
  **/
  @ApiModelProperty(value = "")
  public String getcf_tarea_vta_revision_rco() {
    return cf_tarea_vta_revision_rco;
  }

  public void setcf_tarea_vta_revision_rco(String cf_tarea_vta_revision_rco) {
    this.cf_tarea_vta_revision_rco = cf_tarea_vta_revision_rco;
  }

  public CSeguimientoContratacionPortalAttributes cf_tarea_leg_revision_juicios(String cf_tarea_leg_revision_juicios) {
    this.cf_tarea_leg_revision_juicios = cf_tarea_leg_revision_juicios;
    return this;
  }

   /**
   * Get cf_tarea_leg_revision_juicios
   * @return cf_tarea_leg_revision_juicios
  **/
  @ApiModelProperty(value = "")
  public String getcf_tarea_leg_revision_juicios() {
    return cf_tarea_leg_revision_juicios;
  }

  public void setcf_tarea_leg_revision_juicios(String cf_tarea_leg_revision_juicios) {
    this.cf_tarea_leg_revision_juicios = cf_tarea_leg_revision_juicios;
  }

  public CSeguimientoContratacionPortalAttributes modifiedon(String modifiedon) {
    this.modifiedon = modifiedon;
    return this;
  }

   /**
   * Get modifiedon
   * @return modifiedon
  **/
  @ApiModelProperty(value = "")
  public String getModifiedon() {
    return modifiedon;
  }

  public void setModifiedon(String modifiedon) {
    this.modifiedon = modifiedon;
  }

  public CSeguimientoContratacionPortalAttributes cf_name(String cf_name) {
    this.cf_name = cf_name;
    return this;
  }

   /**
   * Get cf_name
   * @return cf_name
  **/
  @ApiModelProperty(value = "")
  public String getcf_name() {
    return cf_name;
  }

  public void setcf_name(String cf_name) {
    this.cf_name = cf_name;
  }

  public CSeguimientoContratacionPortalAttributes statuscode(String statuscode) {
    this.statuscode = statuscode;
    return this;
  }

   /**
   * Get statuscode
   * @return statuscode
  **/
  @ApiModelProperty(value = "")
  public String getStatuscode() {
    return statuscode;
  }

  public void setStatuscode(String statuscode) {
    this.statuscode = statuscode;
  }

  public CSeguimientoContratacionPortalAttributes statecode(String statecode) {
    this.statecode = statecode;
    return this;
  }

   /**
   * Get statecode
   * @return statecode
  **/
  @ApiModelProperty(value = "")
  public String getStatecode() {
    return statecode;
  }

  public void setStatecode(String statecode) {
    this.statecode = statecode;
  }

  public CSeguimientoContratacionPortalAttributes attachments(List<AttachmentData> attachments) {
    this.attachments = attachments;
    return this;
  }

  public CSeguimientoContratacionPortalAttributes addAttachmentsItem(AttachmentData attachmentsItem) {
    if (this.attachments == null) {
      this.attachments = new ArrayList<AttachmentData>();
    }
    this.attachments.add(attachmentsItem);
    return this;
  }

   /**
   * Get attachments
   * @return attachments
  **/
  @ApiModelProperty(value = "")
  public List<AttachmentData> getAttachments() {
    return attachments;
  }

  public void setAttachments(List<AttachmentData> attachments) {
    this.attachments = attachments;
  }

  public CSeguimientoContratacionPortalAttributes _checklist_documentos(List<CArchivoCheckList> _checklist_documentos) {
    this._checklist_documentos = _checklist_documentos;
    return this;
  }

  public CSeguimientoContratacionPortalAttributes add_checklist_documentosItem(CArchivoCheckList _checklist_documentosItem) {
    if (this._checklist_documentos == null) {
      this._checklist_documentos = new ArrayList<CArchivoCheckList>();
    }
    this._checklist_documentos.add(_checklist_documentosItem);
    return this;
  }

   /**
   * Get _checklist_documentos
   * @return _checklist_documentos
  **/
  @ApiModelProperty(value = "")
  public List<CArchivoCheckList> get_checklist_documentos() {
    return _checklist_documentos;
  }

  public void set_checklist_documentos(List<CArchivoCheckList> _checklist_documentos) {
    this._checklist_documentos = _checklist_documentos;
  }

  public CSeguimientoContratacionPortalAttributes cf_prospectoname(String cf_prospectoname) {
    this.cf_prospectoname = cf_prospectoname;
    return this;
  }

   /**
   * Get cf_prospectoname
   * @return cf_prospectoname
  **/
  @ApiModelProperty(value = "")
  public String getcf_prospectoname() {
    return cf_prospectoname;
  }

  public void setcf_prospectoname(String cf_prospectoname) {
    this.cf_prospectoname = cf_prospectoname;
  }

  public CSeguimientoContratacionPortalAttributes cf_oportunidadname(String cf_oportunidadname) {
    this.cf_oportunidadname = cf_oportunidadname;
    return this;
  }

   /**
   * Get cf_oportunidadname
   * @return cf_oportunidadname
  **/
  @ApiModelProperty(value = "")
  public String getcf_oportunidadname() {
    return cf_oportunidadname;
  }

  public void setcf_oportunidadname(String cf_oportunidadname) {
    this.cf_oportunidadname = cf_oportunidadname;
  }

  public CSeguimientoContratacionPortalAttributes cf_clientename(String cf_clientename) {
    this.cf_clientename = cf_clientename;
    return this;
  }

   /**
   * Get cf_clientename
   * @return cf_clientename
  **/
  @ApiModelProperty(value = "")
  public String getcf_clientename() {
    return cf_clientename;
  }

  public void setcf_clientename(String cf_clientename) {
    this.cf_clientename = cf_clientename;
  }

  public CSeguimientoContratacionPortalAttributes statuscodename(String statuscodename) {
    this.statuscodename = statuscodename;
    return this;
  }

   /**
   * Get statuscodename
   * @return statuscodename
  **/
  @ApiModelProperty(value = "")
  public String getStatuscodename() {
    return statuscodename;
  }

  public void setStatuscodename(String statuscodename) {
    this.statuscodename = statuscodename;
  }

  public CSeguimientoContratacionPortalAttributes statecodename(String statecodename) {
    this.statecodename = statecodename;
    return this;
  }

   /**
   * Get statecodename
   * @return statecodename
  **/
  @ApiModelProperty(value = "")
  public String getStatecodename() {
    return statecodename;
  }

  public void setStatecodename(String statecodename) {
    this.statecodename = statecodename;
  }

  public CSeguimientoContratacionPortalAttributes cf_entrevistaname(String cf_entrevistaname) {
    this.cf_entrevistaname = cf_entrevistaname;
    return this;
  }

   /**
   * Get cf_entrevistaname
   * @return cf_entrevistaname
  **/
  @ApiModelProperty(value = "")
  public String getcf_entrevistaname() {
    return cf_entrevistaname;
  }

  public void setcf_entrevistaname(String cf_entrevistaname) {
    this.cf_entrevistaname = cf_entrevistaname;
  }

  public CSeguimientoContratacionPortalAttributes cf_clasificacion_prospectoname(String cf_clasificacion_prospectoname) {
    this.cf_clasificacion_prospectoname = cf_clasificacion_prospectoname;
    return this;
  }

   /**
   * Get cf_clasificacion_prospectoname
   * @return cf_clasificacion_prospectoname
  **/
  @ApiModelProperty(value = "")
  public String getcf_clasificacion_prospectoname() {
    return cf_clasificacion_prospectoname;
  }

  public void setcf_clasificacion_prospectoname(String cf_clasificacion_prospectoname) {
    this.cf_clasificacion_prospectoname = cf_clasificacion_prospectoname;
  }

  public CSeguimientoContratacionPortalAttributes cf_fraude_accionname(String cf_fraude_accionname) {
    this.cf_fraude_accionname = cf_fraude_accionname;
    return this;
  }

   /**
   * Get cf_fraude_accionname
   * @return cf_fraude_accionname
  **/
  @ApiModelProperty(value = "")
  public String getcf_fraude_accionname() {
    return cf_fraude_accionname;
  }

  public void setcf_fraude_accionname(String cf_fraude_accionname) {
    this.cf_fraude_accionname = cf_fraude_accionname;
  }

  public CSeguimientoContratacionPortalAttributes cf_portal_etapaname(String cf_portal_etapaname) {
    this.cf_portal_etapaname = cf_portal_etapaname;
    return this;
  }

   /**
   * Get cf_portal_etapaname
   * @return cf_portal_etapaname
  **/
  @ApiModelProperty(value = "")
  public String getcf_portal_etapaname() {
    return cf_portal_etapaname;
  }

  public void setcf_portal_etapaname(String cf_portal_etapaname) {
    this.cf_portal_etapaname = cf_portal_etapaname;
  }

  public CSeguimientoContratacionPortalAttributes cf_portal_estatusname(String cf_portal_estatusname) {
    this.cf_portal_estatusname = cf_portal_estatusname;
    return this;
  }

   /**
   * Get cf_portal_estatusname
   * @return cf_portal_estatusname
  **/
  @ApiModelProperty(value = "")
  public String getcf_portal_estatusname() {
    return cf_portal_estatusname;
  }

  public void setcf_portal_estatusname(String cf_portal_estatusname) {
    this.cf_portal_estatusname = cf_portal_estatusname;
  }

  public CSeguimientoContratacionPortalAttributes _cf_prospecto_lead_emailaddress1(String _cf_prospecto_lead_emailaddress1) {
    this._cf_prospecto_lead_emailaddress1 = _cf_prospecto_lead_emailaddress1;
    return this;
  }

   /**
   * Get _cf_prospecto_lead_emailaddress1
   * @return _cf_prospecto_lead_emailaddress1
  **/
  @ApiModelProperty(value = "")
  public String get_cf_prospecto_lead_emailaddress1() {
    return _cf_prospecto_lead_emailaddress1;
  }

  public void set_cf_prospecto_lead_emailaddress1(String _cf_prospecto_lead_emailaddress1) {
    this._cf_prospecto_lead_emailaddress1 = _cf_prospecto_lead_emailaddress1;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_name(String _cf_cliente_account_name) {
    this._cf_cliente_account_name = _cf_cliente_account_name;
    return this;
  }

   /**
   * Get _cf_cliente_account_name
   * @return _cf_cliente_account_name
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_name() {
    return _cf_cliente_account_name;
  }

  public void set_cf_cliente_account_name(String _cf_cliente_account_name) {
    this._cf_cliente_account_name = _cf_cliente_account_name;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_portal_iddelacuenta(String _cf_cliente_account_portal_iddelacuenta) {
    this._cf_cliente_account_portal_iddelacuenta = _cf_cliente_account_portal_iddelacuenta;
    return this;
  }

   /**
   * Get _cf_cliente_account_portal_iddelacuenta
   * @return _cf_cliente_account_portal_iddelacuenta
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_portal_iddelacuenta() {
    return _cf_cliente_account_portal_iddelacuenta;
  }

  public void set_cf_cliente_account_portal_iddelacuenta(String _cf_cliente_account_portal_iddelacuenta) {
    this._cf_cliente_account_portal_iddelacuenta = _cf_cliente_account_portal_iddelacuenta;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_emailaddress1(String _cf_cliente_account_emailaddress1) {
    this._cf_cliente_account_emailaddress1 = _cf_cliente_account_emailaddress1;
    return this;
  }

   /**
   * Get _cf_cliente_account_emailaddress1
   * @return _cf_cliente_account_emailaddress1
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_emailaddress1() {
    return _cf_cliente_account_emailaddress1;
  }

  public void set_cf_cliente_account_emailaddress1(String _cf_cliente_account_emailaddress1) {
    this._cf_cliente_account_emailaddress1 = _cf_cliente_account_emailaddress1;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_rfc(String _cf_cliente_account_cf_rfc) {
    this._cf_cliente_account_cf_rfc = _cf_cliente_account_cf_rfc;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_rfc
   * @return _cf_cliente_account_cf_rfc
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_rfc() {
    return _cf_cliente_account_cf_rfc;
  }

  public void set_cf_cliente_account_cf_rfc(String _cf_cliente_account_cf_rfc) {
    this._cf_cliente_account_cf_rfc = _cf_cliente_account_cf_rfc;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_telephone1(String _cf_cliente_account_telephone1) {
    this._cf_cliente_account_telephone1 = _cf_cliente_account_telephone1;
    return this;
  }

   /**
   * Get _cf_cliente_account_telephone1
   * @return _cf_cliente_account_telephone1
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_telephone1() {
    return _cf_cliente_account_telephone1;
  }

  public void set_cf_cliente_account_telephone1(String _cf_cliente_account_telephone1) {
    this._cf_cliente_account_telephone1 = _cf_cliente_account_telephone1;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_nombrecomercial(String _cf_cliente_account_cf_nombrecomercial) {
    this._cf_cliente_account_cf_nombrecomercial = _cf_cliente_account_cf_nombrecomercial;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_nombrecomercial
   * @return _cf_cliente_account_cf_nombrecomercial
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_nombrecomercial() {
    return _cf_cliente_account_cf_nombrecomercial;
  }

  public void set_cf_cliente_account_cf_nombrecomercial(String _cf_cliente_account_cf_nombrecomercial) {
    this._cf_cliente_account_cf_nombrecomercial = _cf_cliente_account_cf_nombrecomercial;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_address1_line1(String _cf_cliente_account_address1_line1) {
    this._cf_cliente_account_address1_line1 = _cf_cliente_account_address1_line1;
    return this;
  }

   /**
   * Get _cf_cliente_account_address1_line1
   * @return _cf_cliente_account_address1_line1
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_address1_line1() {
    return _cf_cliente_account_address1_line1;
  }

  public void set_cf_cliente_account_address1_line1(String _cf_cliente_account_address1_line1) {
    this._cf_cliente_account_address1_line1 = _cf_cliente_account_address1_line1;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_address1_line2(String _cf_cliente_account_address1_line2) {
    this._cf_cliente_account_address1_line2 = _cf_cliente_account_address1_line2;
    return this;
  }

   /**
   * Get _cf_cliente_account_address1_line2
   * @return _cf_cliente_account_address1_line2
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_address1_line2() {
    return _cf_cliente_account_address1_line2;
  }

  public void set_cf_cliente_account_address1_line2(String _cf_cliente_account_address1_line2) {
    this._cf_cliente_account_address1_line2 = _cf_cliente_account_address1_line2;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_address1_line3(String _cf_cliente_account_address1_line3) {
    this._cf_cliente_account_address1_line3 = _cf_cliente_account_address1_line3;
    return this;
  }

   /**
   * Get _cf_cliente_account_address1_line3
   * @return _cf_cliente_account_address1_line3
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_address1_line3() {
    return _cf_cliente_account_address1_line3;
  }

  public void set_cf_cliente_account_address1_line3(String _cf_cliente_account_address1_line3) {
    this._cf_cliente_account_address1_line3 = _cf_cliente_account_address1_line3;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_address1_estado(String _cf_cliente_account_cf_address1_estado) {
    this._cf_cliente_account_cf_address1_estado = _cf_cliente_account_cf_address1_estado;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_address1_estado
   * @return _cf_cliente_account_cf_address1_estado
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_address1_estado() {
    return _cf_cliente_account_cf_address1_estado;
  }

  public void set_cf_cliente_account_cf_address1_estado(String _cf_cliente_account_cf_address1_estado) {
    this._cf_cliente_account_cf_address1_estado = _cf_cliente_account_cf_address1_estado;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_address1_city(String _cf_cliente_account_address1_city) {
    this._cf_cliente_account_address1_city = _cf_cliente_account_address1_city;
    return this;
  }

   /**
   * Get _cf_cliente_account_address1_city
   * @return _cf_cliente_account_address1_city
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_address1_city() {
    return _cf_cliente_account_address1_city;
  }

  public void set_cf_cliente_account_address1_city(String _cf_cliente_account_address1_city) {
    this._cf_cliente_account_address1_city = _cf_cliente_account_address1_city;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_address1_postalcode(String _cf_cliente_account_address1_postalcode) {
    this._cf_cliente_account_address1_postalcode = _cf_cliente_account_address1_postalcode;
    return this;
  }

   /**
   * Get _cf_cliente_account_address1_postalcode
   * @return _cf_cliente_account_address1_postalcode
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_address1_postalcode() {
    return _cf_cliente_account_address1_postalcode;
  }

  public void set_cf_cliente_account_address1_postalcode(String _cf_cliente_account_address1_postalcode) {
    this._cf_cliente_account_address1_postalcode = _cf_cliente_account_address1_postalcode;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_pfreferenciadeposito(String _cf_cliente_account_cf_pfreferenciadeposito) {
    this._cf_cliente_account_cf_pfreferenciadeposito = _cf_cliente_account_cf_pfreferenciadeposito;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_pfreferenciadeposito
   * @return _cf_cliente_account_cf_pfreferenciadeposito
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_pfreferenciadeposito() {
    return _cf_cliente_account_cf_pfreferenciadeposito;
  }

  public void set_cf_cliente_account_cf_pfreferenciadeposito(String _cf_cliente_account_cf_pfreferenciadeposito) {
    this._cf_cliente_account_cf_pfreferenciadeposito = _cf_cliente_account_cf_pfreferenciadeposito;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_pmreferenciadeposito(String _cf_cliente_account_cf_pmreferenciadeposito) {
    this._cf_cliente_account_cf_pmreferenciadeposito = _cf_cliente_account_cf_pmreferenciadeposito;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_pmreferenciadeposito
   * @return _cf_cliente_account_cf_pmreferenciadeposito
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_pmreferenciadeposito() {
    return _cf_cliente_account_cf_pmreferenciadeposito;
  }

  public void set_cf_cliente_account_cf_pmreferenciadeposito(String _cf_cliente_account_cf_pmreferenciadeposito) {
    this._cf_cliente_account_cf_pmreferenciadeposito = _cf_cliente_account_cf_pmreferenciadeposito;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_cfsprefix(String _cf_cliente_account_cf_cfsprefix) {
    this._cf_cliente_account_cf_cfsprefix = _cf_cliente_account_cf_cfsprefix;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_cfsprefix
   * @return _cf_cliente_account_cf_cfsprefix
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_cfsprefix() {
    return _cf_cliente_account_cf_cfsprefix;
  }

  public void set_cf_cliente_account_cf_cfsprefix(String _cf_cliente_account_cf_cfsprefix) {
    this._cf_cliente_account_cf_cfsprefix = _cf_cliente_account_cf_cfsprefix;
  }

  public CSeguimientoContratacionPortalAttributes _cf_cliente_account_cf_cfsprefixpm(String _cf_cliente_account_cf_cfsprefixpm) {
    this._cf_cliente_account_cf_cfsprefixpm = _cf_cliente_account_cf_cfsprefixpm;
    return this;
  }

   /**
   * Get _cf_cliente_account_cf_cfsprefixpm
   * @return _cf_cliente_account_cf_cfsprefixpm
  **/
  @ApiModelProperty(value = "")
  public String get_cf_cliente_account_cf_cfsprefixpm() {
    return _cf_cliente_account_cf_cfsprefixpm;
  }

  public void set_cf_cliente_account_cf_cfsprefixpm(String _cf_cliente_account_cf_cfsprefixpm) {
    this._cf_cliente_account_cf_cfsprefixpm = _cf_cliente_account_cf_cfsprefixpm;
  }

  public CSeguimientoContratacionPortalAttributes _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname(String _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname) {
    this._cf_oportunidad_opportunity_cf_cfbtiposolicituddybname = _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname;
    return this;
  }

   /**
   * Get _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname
   * @return _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname
  **/
  @ApiModelProperty(value = "")
  public String get_cf_oportunidad_opportunity_cf_cfbtiposolicituddybname() {
    return _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname;
  }

  public void set_cf_oportunidad_opportunity_cf_cfbtiposolicituddybname(String _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname) {
    this._cf_oportunidad_opportunity_cf_cfbtiposolicituddybname = _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname;
  }

  public CSeguimientoContratacionPortalAttributes _cf_oportunidad_opportunity_cf_btiposolicitudtumname(String _cf_oportunidad_opportunity_cf_btiposolicitudtumname) {
    this._cf_oportunidad_opportunity_cf_btiposolicitudtumname = _cf_oportunidad_opportunity_cf_btiposolicitudtumname;
    return this;
  }

   /**
   * Get _cf_oportunidad_opportunity_cf_btiposolicitudtumname
   * @return _cf_oportunidad_opportunity_cf_btiposolicitudtumname
  **/
  @ApiModelProperty(value = "")
  public String get_cf_oportunidad_opportunity_cf_btiposolicitudtumname() {
    return _cf_oportunidad_opportunity_cf_btiposolicitudtumname;
  }

  public void set_cf_oportunidad_opportunity_cf_btiposolicitudtumname(String _cf_oportunidad_opportunity_cf_btiposolicitudtumname) {
    this._cf_oportunidad_opportunity_cf_btiposolicitudtumname = _cf_oportunidad_opportunity_cf_btiposolicitudtumname;
  }

  public CSeguimientoContratacionPortalAttributes _cf_oportunidad_opportunity_cf_imorteprepagodun(String _cf_oportunidad_opportunity_cf_imorteprepagodun) {
    this._cf_oportunidad_opportunity_cf_imorteprepagodun = _cf_oportunidad_opportunity_cf_imorteprepagodun;
    return this;
  }

   /**
   * Get _cf_oportunidad_opportunity_cf_imorteprepagodun
   * @return _cf_oportunidad_opportunity_cf_imorteprepagodun
  **/
  @ApiModelProperty(value = "")
  public String get_cf_oportunidad_opportunity_cf_imorteprepagodun() {
    return _cf_oportunidad_opportunity_cf_imorteprepagodun;
  }

  public void set_cf_oportunidad_opportunity_cf_imorteprepagodun(String _cf_oportunidad_opportunity_cf_imorteprepagodun) {
    this._cf_oportunidad_opportunity_cf_imorteprepagodun = _cf_oportunidad_opportunity_cf_imorteprepagodun;
  }

  public CSeguimientoContratacionPortalAttributes _cf_oportunidad_opportunity_cf_imorteprepagotum(String _cf_oportunidad_opportunity_cf_imorteprepagotum) {
    this._cf_oportunidad_opportunity_cf_imorteprepagotum = _cf_oportunidad_opportunity_cf_imorteprepagotum;
    return this;
  }

   /**
   * Get _cf_oportunidad_opportunity_cf_imorteprepagotum
   * @return _cf_oportunidad_opportunity_cf_imorteprepagotum
  **/
  @ApiModelProperty(value = "")
  public String get_cf_oportunidad_opportunity_cf_imorteprepagotum() {
    return _cf_oportunidad_opportunity_cf_imorteprepagotum;
  }

  public void set_cf_oportunidad_opportunity_cf_imorteprepagotum(String _cf_oportunidad_opportunity_cf_imorteprepagotum) {
    this._cf_oportunidad_opportunity_cf_imorteprepagotum = _cf_oportunidad_opportunity_cf_imorteprepagotum;
  }

  public CSeguimientoContratacionPortalAttributes id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Get id
   * @return id
  **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public CSeguimientoContratacionPortalAttributes result(Boolean result) {
    this.result = result;
    return this;
  }

   /**
   * Get result
   * @return result
  **/
  @ApiModelProperty(value = "")
  public Boolean isResult() {
    return result;
  }

  public void setResult(Boolean result) {
    this.result = result;
  }
   /**
   * Get message
   * @return message
  **/
  @ApiModelProperty(value = "")
  public String getMessage() {
    return message;
  }
  public CSeguimientoContratacionPortalAttributes message(String message2) {
    this.message = message2;
    return this;
  }



  public void setMessage(String message2) {
    this.message = message2;
  }


  @Override
  public boolean equals(java.lang.Object o2) {
    if (this == o2) {
      return true;
    }
    if (o2 == null || getClass() != o2.getClass()) {
      return false;
    }
    CSeguimientoContratacionPortalAttributes cSeguimientoContratacionPortalAttributes = (CSeguimientoContratacionPortalAttributes) o2;
    return Objects.equals(this.cf_seguimiento_contratacion_portalid, cSeguimientoContratacionPortalAttributes.cf_seguimiento_contratacion_portalid) &&
        Objects.equals(this.createdon, cSeguimientoContratacionPortalAttributes.createdon) &&
        Objects.equals(this.cf_nuevo_password, cSeguimientoContratacionPortalAttributes.cf_nuevo_password) &&
        Objects.equals(this.cf_password_hash, cSeguimientoContratacionPortalAttributes.cf_password_hash) &&
        Objects.equals(this.cf_login, cSeguimientoContratacionPortalAttributes.cf_login) &&
        Objects.equals(this.cf_prospecto, cSeguimientoContratacionPortalAttributes.cf_prospecto) &&
        Objects.equals(this.cf_oportunidad, cSeguimientoContratacionPortalAttributes.cf_oportunidad) &&
        Objects.equals(this.cf_cliente, cSeguimientoContratacionPortalAttributes.cf_cliente) &&
        Objects.equals(this.cf_firma_electronica_fecha, cSeguimientoContratacionPortalAttributes.cf_firma_electronica_fecha) &&
        Objects.equals(this.cf_firma_electronica_solicitud, cSeguimientoContratacionPortalAttributes.cf_firma_electronica_solicitud) &&
        Objects.equals(this.cf_firma_electronica_estatus, cSeguimientoContratacionPortalAttributes.cf_firma_electronica_estatus) &&
        Objects.equals(this.cf_firma_electronica_documentoid, cSeguimientoContratacionPortalAttributes.cf_firma_electronica_documentoid) &&
        Objects.equals(this.cf_entrevista_aprobada, cSeguimientoContratacionPortalAttributes.cf_entrevista_aprobada) &&
        Objects.equals(this.cf_cambiar_password, cSeguimientoContratacionPortalAttributes.cf_cambiar_password) &&
        Objects.equals(this.cf_fraude_contact, cSeguimientoContratacionPortalAttributes.cf_fraude_contact) &&
        Objects.equals(this.cf_fraude_lead, cSeguimientoContratacionPortalAttributes.cf_fraude_lead) &&
        Objects.equals(this.cf_fraude_entrevista, cSeguimientoContratacionPortalAttributes.cf_fraude_entrevista) &&
        Objects.equals(this.cf_notificar_fraude, cSeguimientoContratacionPortalAttributes.cf_notificar_fraude) &&
        Objects.equals(this.cf_fraude_account, cSeguimientoContratacionPortalAttributes.cf_fraude_account) &&
        Objects.equals(this.cf_acceso_portal, cSeguimientoContratacionPortalAttributes.cf_acceso_portal) &&
        Objects.equals(this.cf_notificar_bienvenida, cSeguimientoContratacionPortalAttributes.cf_notificar_bienvenida) &&
        Objects.equals(this.cf_fraude, cSeguimientoContratacionPortalAttributes.cf_fraude) &&
        Objects.equals(this.cf_fraude_accion_fecha, cSeguimientoContratacionPortalAttributes.cf_fraude_accion_fecha) &&
        Objects.equals(this.cf_fraude_contact_fecha, cSeguimientoContratacionPortalAttributes.cf_fraude_contact_fecha) &&
        Objects.equals(this.cf_oportunidad_fecha, cSeguimientoContratacionPortalAttributes.cf_oportunidad_fecha) &&
        Objects.equals(this.cf_notificar_fraude_fecha, cSeguimientoContratacionPortalAttributes.cf_notificar_fraude_fecha) &&
        Objects.equals(this.cf_entrevista_aprobada_fecha, cSeguimientoContratacionPortalAttributes.cf_entrevista_aprobada_fecha) &&
        Objects.equals(this.cf_fraude_account_fecha, cSeguimientoContratacionPortalAttributes.cf_fraude_account_fecha) &&
        Objects.equals(this.cf_notificar_bienvenida_fecha, cSeguimientoContratacionPortalAttributes.cf_notificar_bienvenida_fecha) &&
        Objects.equals(this.cf_entrevista_fecha, cSeguimientoContratacionPortalAttributes.cf_entrevista_fecha) &&
        Objects.equals(this.cf_fraude_fecha, cSeguimientoContratacionPortalAttributes.cf_fraude_fecha) &&
        Objects.equals(this.cf_fraude_entrevista_fecha, cSeguimientoContratacionPortalAttributes.cf_fraude_entrevista_fecha) &&
        Objects.equals(this.cf_fraude_lead_fecha, cSeguimientoContratacionPortalAttributes.cf_fraude_lead_fecha) &&
        Objects.equals(this.cf_clasificacion_prospecto_fecha, cSeguimientoContratacionPortalAttributes.cf_clasificacion_prospecto_fecha) &&
        Objects.equals(this.cf_visita_ocular_respuesta_1, cSeguimientoContratacionPortalAttributes.cf_visita_ocular_respuesta_1) &&
        Objects.equals(this.cf_visita_ocular_respuesta_2, cSeguimientoContratacionPortalAttributes.cf_visita_ocular_respuesta_2) &&
        Objects.equals(this.cf_entrevista, cSeguimientoContratacionPortalAttributes.cf_entrevista) &&
        Objects.equals(this.cf_clasificacion_prospecto, cSeguimientoContratacionPortalAttributes.cf_clasificacion_prospecto) &&
        Objects.equals(this.cf_fraude_accion, cSeguimientoContratacionPortalAttributes.cf_fraude_accion) &&
        Objects.equals(this.cf_portal_etapa, cSeguimientoContratacionPortalAttributes.cf_portal_etapa) &&
        Objects.equals(this.cf_portal_estatus, cSeguimientoContratacionPortalAttributes.cf_portal_estatus) &&
        Objects.equals(this.cf_mcc_doc_recibidos, cSeguimientoContratacionPortalAttributes.cf_mcc_doc_recibidos) &&
        Objects.equals(this.cf_tarea_vta_revision_rco, cSeguimientoContratacionPortalAttributes.cf_tarea_vta_revision_rco) &&
        Objects.equals(this.cf_tarea_leg_revision_juicios, cSeguimientoContratacionPortalAttributes.cf_tarea_leg_revision_juicios) &&
        Objects.equals(this.modifiedon, cSeguimientoContratacionPortalAttributes.modifiedon) &&
        Objects.equals(this.cf_name, cSeguimientoContratacionPortalAttributes.cf_name) &&
        Objects.equals(this.statuscode, cSeguimientoContratacionPortalAttributes.statuscode) &&
        Objects.equals(this.statecode, cSeguimientoContratacionPortalAttributes.statecode) &&
        Objects.equals(this.attachments, cSeguimientoContratacionPortalAttributes.attachments) &&
        Objects.equals(this._checklist_documentos, cSeguimientoContratacionPortalAttributes._checklist_documentos) &&
        Objects.equals(this.cf_prospectoname, cSeguimientoContratacionPortalAttributes.cf_prospectoname) &&
        Objects.equals(this.cf_oportunidadname, cSeguimientoContratacionPortalAttributes.cf_oportunidadname) &&
        Objects.equals(this.cf_clientename, cSeguimientoContratacionPortalAttributes.cf_clientename) &&
        Objects.equals(this.statuscodename, cSeguimientoContratacionPortalAttributes.statuscodename) &&
        Objects.equals(this.statecodename, cSeguimientoContratacionPortalAttributes.statecodename) &&
        Objects.equals(this.cf_entrevistaname, cSeguimientoContratacionPortalAttributes.cf_entrevistaname) &&
        Objects.equals(this.cf_clasificacion_prospectoname, cSeguimientoContratacionPortalAttributes.cf_clasificacion_prospectoname) &&
        Objects.equals(this.cf_fraude_accionname, cSeguimientoContratacionPortalAttributes.cf_fraude_accionname) &&
        Objects.equals(this.cf_portal_etapaname, cSeguimientoContratacionPortalAttributes.cf_portal_etapaname) &&
        Objects.equals(this.cf_portal_estatusname, cSeguimientoContratacionPortalAttributes.cf_portal_estatusname) &&
        Objects.equals(this._cf_prospecto_lead_emailaddress1, cSeguimientoContratacionPortalAttributes._cf_prospecto_lead_emailaddress1) &&
        Objects.equals(this._cf_cliente_account_name, cSeguimientoContratacionPortalAttributes._cf_cliente_account_name) &&
        Objects.equals(this._cf_cliente_account_portal_iddelacuenta, cSeguimientoContratacionPortalAttributes._cf_cliente_account_portal_iddelacuenta) &&
        Objects.equals(this._cf_cliente_account_emailaddress1, cSeguimientoContratacionPortalAttributes._cf_cliente_account_emailaddress1) &&
        Objects.equals(this._cf_cliente_account_cf_rfc, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_rfc) &&
        Objects.equals(this._cf_cliente_account_telephone1, cSeguimientoContratacionPortalAttributes._cf_cliente_account_telephone1) &&
        Objects.equals(this._cf_cliente_account_cf_nombrecomercial, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_nombrecomercial) &&
        Objects.equals(this._cf_cliente_account_address1_line1, cSeguimientoContratacionPortalAttributes._cf_cliente_account_address1_line1) &&
        Objects.equals(this._cf_cliente_account_address1_line2, cSeguimientoContratacionPortalAttributes._cf_cliente_account_address1_line2) &&
        Objects.equals(this._cf_cliente_account_address1_line3, cSeguimientoContratacionPortalAttributes._cf_cliente_account_address1_line3) &&
        Objects.equals(this._cf_cliente_account_cf_address1_estado, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_address1_estado) &&
        Objects.equals(this._cf_cliente_account_address1_city, cSeguimientoContratacionPortalAttributes._cf_cliente_account_address1_city) &&
        Objects.equals(this._cf_cliente_account_address1_postalcode, cSeguimientoContratacionPortalAttributes._cf_cliente_account_address1_postalcode) &&
        Objects.equals(this._cf_cliente_account_cf_pfreferenciadeposito, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_pfreferenciadeposito) &&
        Objects.equals(this._cf_cliente_account_cf_pmreferenciadeposito, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_pmreferenciadeposito) &&
        Objects.equals(this._cf_cliente_account_cf_cfsprefix, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_cfsprefix) &&
        Objects.equals(this._cf_cliente_account_cf_cfsprefixpm, cSeguimientoContratacionPortalAttributes._cf_cliente_account_cf_cfsprefixpm) &&
        Objects.equals(this._cf_oportunidad_opportunity_cf_cfbtiposolicituddybname, cSeguimientoContratacionPortalAttributes._cf_oportunidad_opportunity_cf_cfbtiposolicituddybname) &&
        Objects.equals(this._cf_oportunidad_opportunity_cf_btiposolicitudtumname, cSeguimientoContratacionPortalAttributes._cf_oportunidad_opportunity_cf_btiposolicitudtumname) &&
        Objects.equals(this._cf_oportunidad_opportunity_cf_imorteprepagodun, cSeguimientoContratacionPortalAttributes._cf_oportunidad_opportunity_cf_imorteprepagodun) &&
        Objects.equals(this._cf_oportunidad_opportunity_cf_imorteprepagotum, cSeguimientoContratacionPortalAttributes._cf_oportunidad_opportunity_cf_imorteprepagotum) &&
        Objects.equals(this.id, cSeguimientoContratacionPortalAttributes.id) &&
        Objects.equals(this.result, cSeguimientoContratacionPortalAttributes.result) &&
        Objects.equals(this.message, cSeguimientoContratacionPortalAttributes.message);
  }

  @Override
  public int hashCode() {
    return Objects.hash(cf_seguimiento_contratacion_portalid, createdon, cf_nuevo_password, cf_password_hash, cf_login, cf_prospecto, cf_oportunidad, cf_cliente, cf_firma_electronica_fecha, cf_firma_electronica_solicitud, cf_firma_electronica_estatus, cf_firma_electronica_documentoid, cf_entrevista_aprobada, cf_cambiar_password, cf_fraude_contact, cf_fraude_lead, cf_fraude_entrevista, cf_notificar_fraude, cf_fraude_account, cf_acceso_portal, cf_notificar_bienvenida, cf_fraude, cf_fraude_accion_fecha, cf_fraude_contact_fecha, cf_oportunidad_fecha, cf_notificar_fraude_fecha, cf_entrevista_aprobada_fecha, cf_fraude_account_fecha, cf_notificar_bienvenida_fecha, cf_entrevista_fecha, cf_fraude_fecha, cf_fraude_entrevista_fecha, cf_fraude_lead_fecha, cf_clasificacion_prospecto_fecha, cf_visita_ocular_respuesta_1, cf_visita_ocular_respuesta_2, cf_entrevista, cf_clasificacion_prospecto, cf_fraude_accion, cf_portal_etapa, cf_portal_estatus, cf_mcc_doc_recibidos, cf_tarea_vta_revision_rco, cf_tarea_leg_revision_juicios, modifiedon, cf_name, statuscode, statecode, attachments, _checklist_documentos, cf_prospectoname, cf_oportunidadname, cf_clientename, statuscodename, statecodename, cf_entrevistaname, cf_clasificacion_prospectoname, cf_fraude_accionname, cf_portal_etapaname, cf_portal_estatusname, _cf_prospecto_lead_emailaddress1, _cf_cliente_account_name, _cf_cliente_account_portal_iddelacuenta, _cf_cliente_account_emailaddress1, _cf_cliente_account_cf_rfc, _cf_cliente_account_telephone1, _cf_cliente_account_cf_nombrecomercial, _cf_cliente_account_address1_line1, _cf_cliente_account_address1_line2, _cf_cliente_account_address1_line3, _cf_cliente_account_cf_address1_estado, _cf_cliente_account_address1_city, _cf_cliente_account_address1_postalcode, _cf_cliente_account_cf_pfreferenciadeposito, _cf_cliente_account_cf_pmreferenciadeposito, _cf_cliente_account_cf_cfsprefix, _cf_cliente_account_cf_cfsprefixpm, _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname, _cf_oportunidad_opportunity_cf_btiposolicitudtumname, _cf_oportunidad_opportunity_cf_imorteprepagodun, _cf_oportunidad_opportunity_cf_imorteprepagotum, id, result, message);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CSeguimientoContratacionPortalAttributes {\n");
    
    sb.append("    cf_seguimiento_contratacion_portalid: ").append(toIndentedString(cf_seguimiento_contratacion_portalid)).append("\n");
    sb.append("    createdon: ").append(toIndentedString(createdon)).append("\n");
    sb.append("    cf_nuevo_password: ").append(toIndentedString(cf_nuevo_password)).append("\n");
    sb.append("    cf_password_hash: ").append(toIndentedString(cf_password_hash)).append("\n");
    sb.append("    cf_login: ").append(toIndentedString(cf_login)).append("\n");
    sb.append("    cf_prospecto: ").append(toIndentedString(cf_prospecto)).append("\n");
    sb.append("    cf_oportunidad: ").append(toIndentedString(cf_oportunidad)).append("\n");
    sb.append("    cf_cliente: ").append(toIndentedString(cf_cliente)).append("\n");
    sb.append("    cf_firma_electronica_fecha: ").append(toIndentedString(cf_firma_electronica_fecha)).append("\n");
    sb.append("    cf_firma_electronica_solicitud: ").append(toIndentedString(cf_firma_electronica_solicitud)).append("\n");
    sb.append("    cf_firma_electronica_estatus: ").append(toIndentedString(cf_firma_electronica_estatus)).append("\n");
    sb.append("    cf_firma_electronica_documentoid: ").append(toIndentedString(cf_firma_electronica_documentoid)).append("\n");
    sb.append("    cf_entrevista_aprobada: ").append(toIndentedString(cf_entrevista_aprobada)).append("\n");
    sb.append("    cf_cambiar_password: ").append(toIndentedString(cf_cambiar_password)).append("\n");
    sb.append("    cf_fraude_contact: ").append(toIndentedString(cf_fraude_contact)).append("\n");
    sb.append("    cf_fraude_lead: ").append(toIndentedString(cf_fraude_lead)).append("\n");
    sb.append("    cf_fraude_entrevista: ").append(toIndentedString(cf_fraude_entrevista)).append("\n");
    sb.append("    cf_notificar_fraude: ").append(toIndentedString(cf_notificar_fraude)).append("\n");
    sb.append("    cf_fraude_account: ").append(toIndentedString(cf_fraude_account)).append("\n");
    sb.append("    cf_acceso_portal: ").append(toIndentedString(cf_acceso_portal)).append("\n");
    sb.append("    cf_notificar_bienvenida: ").append(toIndentedString(cf_notificar_bienvenida)).append("\n");
    sb.append("    cf_fraude: ").append(toIndentedString(cf_fraude)).append("\n");
    sb.append("    cf_fraude_accion_fecha: ").append(toIndentedString(cf_fraude_accion_fecha)).append("\n");
    sb.append("    cf_fraude_contact_fecha: ").append(toIndentedString(cf_fraude_contact_fecha)).append("\n");
    sb.append("    cf_oportunidad_fecha: ").append(toIndentedString(cf_oportunidad_fecha)).append("\n");
    sb.append("    cf_notificar_fraude_fecha: ").append(toIndentedString(cf_notificar_fraude_fecha)).append("\n");
    sb.append("    cf_entrevista_aprobada_fecha: ").append(toIndentedString(cf_entrevista_aprobada_fecha)).append("\n");
    sb.append("    cf_fraude_account_fecha: ").append(toIndentedString(cf_fraude_account_fecha)).append("\n");
    sb.append("    cf_notificar_bienvenida_fecha: ").append(toIndentedString(cf_notificar_bienvenida_fecha)).append("\n");
    sb.append("    cf_entrevista_fecha: ").append(toIndentedString(cf_entrevista_fecha)).append("\n");
    sb.append("    cf_fraude_fecha: ").append(toIndentedString(cf_fraude_fecha)).append("\n");
    sb.append("    cf_fraude_entrevista_fecha: ").append(toIndentedString(cf_fraude_entrevista_fecha)).append("\n");
    sb.append("    cf_fraude_lead_fecha: ").append(toIndentedString(cf_fraude_lead_fecha)).append("\n");
    sb.append("    cf_clasificacion_prospecto_fecha: ").append(toIndentedString(cf_clasificacion_prospecto_fecha)).append("\n");
    sb.append("    cf_visita_ocular_respuesta_1: ").append(toIndentedString(cf_visita_ocular_respuesta_1)).append("\n");
    sb.append("    cf_visita_ocular_respuesta_2: ").append(toIndentedString(cf_visita_ocular_respuesta_2)).append("\n");
    sb.append("    cf_entrevista: ").append(toIndentedString(cf_entrevista)).append("\n");
    sb.append("    cf_clasificacion_prospecto: ").append(toIndentedString(cf_clasificacion_prospecto)).append("\n");
    sb.append("    cf_fraude_accion: ").append(toIndentedString(cf_fraude_accion)).append("\n");
    sb.append("    cf_portal_etapa: ").append(toIndentedString(cf_portal_etapa)).append("\n");
    sb.append("    cf_portal_estatus: ").append(toIndentedString(cf_portal_estatus)).append("\n");
    sb.append("    cf_mcc_doc_recibidos: ").append(toIndentedString(cf_mcc_doc_recibidos)).append("\n");
    sb.append("    cf_tarea_vta_revision_rco: ").append(toIndentedString(cf_tarea_vta_revision_rco)).append("\n");
    sb.append("    cf_tarea_leg_revision_juicios: ").append(toIndentedString(cf_tarea_leg_revision_juicios)).append("\n");
    sb.append("    modifiedon: ").append(toIndentedString(modifiedon)).append("\n");
    sb.append("    cf_name: ").append(toIndentedString(cf_name)).append("\n");
    sb.append("    statuscode: ").append(toIndentedString(statuscode)).append("\n");
    sb.append("    statecode: ").append(toIndentedString(statecode)).append("\n");
    sb.append("    attachments: ").append(toIndentedString(attachments)).append("\n");
    sb.append("    _checklist_documentos: ").append(toIndentedString(_checklist_documentos)).append("\n");
    sb.append("    cf_prospectoname: ").append(toIndentedString(cf_prospectoname)).append("\n");
    sb.append("    cf_oportunidadname: ").append(toIndentedString(cf_oportunidadname)).append("\n");
    sb.append("    cf_clientename: ").append(toIndentedString(cf_clientename)).append("\n");
    sb.append("    statuscodename: ").append(toIndentedString(statuscodename)).append("\n");
    sb.append("    statecodename: ").append(toIndentedString(statecodename)).append("\n");
    sb.append("    cf_entrevistaname: ").append(toIndentedString(cf_entrevistaname)).append("\n");
    sb.append("    cf_clasificacion_prospectoname: ").append(toIndentedString(cf_clasificacion_prospectoname)).append("\n");
    sb.append("    cf_fraude_accionname: ").append(toIndentedString(cf_fraude_accionname)).append("\n");
    sb.append("    cf_portal_etapaname: ").append(toIndentedString(cf_portal_etapaname)).append("\n");
    sb.append("    cf_portal_estatusname: ").append(toIndentedString(cf_portal_estatusname)).append("\n");
    sb.append("    _cf_prospecto_lead_emailaddress1: ").append(toIndentedString(_cf_prospecto_lead_emailaddress1)).append("\n");
    sb.append("    _cf_cliente_account_name: ").append(toIndentedString(_cf_cliente_account_name)).append("\n");
    sb.append("    _cf_cliente_account_portal_iddelacuenta: ").append(toIndentedString(_cf_cliente_account_portal_iddelacuenta)).append("\n");
    sb.append("    _cf_cliente_account_emailaddress1: ").append(toIndentedString(_cf_cliente_account_emailaddress1)).append("\n");
    sb.append("    _cf_cliente_account_cf_rfc: ").append(toIndentedString(_cf_cliente_account_cf_rfc)).append("\n");
    sb.append("    _cf_cliente_account_telephone1: ").append(toIndentedString(_cf_cliente_account_telephone1)).append("\n");
    sb.append("    _cf_cliente_account_cf_nombrecomercial: ").append(toIndentedString(_cf_cliente_account_cf_nombrecomercial)).append("\n");
    sb.append("    _cf_cliente_account_address1_line1: ").append(toIndentedString(_cf_cliente_account_address1_line1)).append("\n");
    sb.append("    _cf_cliente_account_address1_line2: ").append(toIndentedString(_cf_cliente_account_address1_line2)).append("\n");
    sb.append("    _cf_cliente_account_address1_line3: ").append(toIndentedString(_cf_cliente_account_address1_line3)).append("\n");
    sb.append("    _cf_cliente_account_cf_address1_estado: ").append(toIndentedString(_cf_cliente_account_cf_address1_estado)).append("\n");
    sb.append("    _cf_cliente_account_address1_city: ").append(toIndentedString(_cf_cliente_account_address1_city)).append("\n");
    sb.append("    _cf_cliente_account_address1_postalcode: ").append(toIndentedString(_cf_cliente_account_address1_postalcode)).append("\n");
    sb.append("    _cf_cliente_account_cf_pfreferenciadeposito: ").append(toIndentedString(_cf_cliente_account_cf_pfreferenciadeposito)).append("\n");
    sb.append("    _cf_cliente_account_cf_pmreferenciadeposito: ").append(toIndentedString(_cf_cliente_account_cf_pmreferenciadeposito)).append("\n");
    sb.append("    _cf_cliente_account_cf_cfsprefix: ").append(toIndentedString(_cf_cliente_account_cf_cfsprefix)).append("\n");
    sb.append("    _cf_cliente_account_cf_cfsprefixpm: ").append(toIndentedString(_cf_cliente_account_cf_cfsprefixpm)).append("\n");
    sb.append("    _cf_oportunidad_opportunity_cf_cfbtiposolicituddybname: ").append(toIndentedString(_cf_oportunidad_opportunity_cf_cfbtiposolicituddybname)).append("\n");
    sb.append("    _cf_oportunidad_opportunity_cf_btiposolicitudtumname: ").append(toIndentedString(_cf_oportunidad_opportunity_cf_btiposolicitudtumname)).append("\n");
    sb.append("    _cf_oportunidad_opportunity_cf_imorteprepagodun: ").append(toIndentedString(_cf_oportunidad_opportunity_cf_imorteprepagodun)).append("\n");
    sb.append("    _cf_oportunidad_opportunity_cf_imorteprepagotum: ").append(toIndentedString(_cf_oportunidad_opportunity_cf_imorteprepagotum)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    result: ").append(toIndentedString(result)).append("\n");
    sb.append("    message: ").append(toIndentedString(message)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

